var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, Input, forwardRef, Output, EventEmitter } from '@angular/core';
import { PanelGroup } from '../panel';
import { RebirthNGConfig } from '../rebirth-ng.config';
var AccordionComponent = /** @class */ (function (_super) {
    __extends(AccordionComponent, _super);
    function AccordionComponent(rebirthNGConfig) {
        var _this = _super.call(this) || this;
        _this.close = new EventEmitter();
        _this.keepOneItem = rebirthNGConfig.accordion.keepOneItem;
        _this.closable = rebirthNGConfig.accordion.closable;
        _this.type = rebirthNGConfig.accordion.type;
        return _this;
    }
    AccordionComponent.prototype.initPanel = function (panel) {
        var _this = this;
        panel.collapsable = true;
        panel.isCollapsed = true;
        panel.closable = this.closable;
        panel.close.subscribe(function (item) { return _this.close.emit(item); });
        panel.collapse.subscribe(function (collapse) {
            if (!collapse) {
                _this.keepOnePanelOpen(panel);
            }
        });
    };
    AccordionComponent.prototype.toggleById = function (id) {
        var panel = this.panels.find(function (item) { return item.id === id; });
        this.toggle(panel);
    };
    AccordionComponent.prototype.toggle = function (panel) {
        if (panel) {
            panel.onCollapse();
        }
    };
    AccordionComponent.prototype.keepOnePanelOpen = function (panel) {
        if (this.keepOneItem) {
            this.panels.forEach(function (item) {
                if (item !== panel) {
                    item.isCollapsed = true;
                }
            });
        }
    };
    AccordionComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-accordion',
                    template: "\n    <div role=\"tablist\" class=\"panel-group\"><ng-content></ng-content></div>\n  ",
                    exportAs: 'accordion',
                    providers: [{ provide: PanelGroup, useExisting: forwardRef(function () { return AccordionComponent; }) }],
                },] },
    ];
    /** @nocollapse */
    AccordionComponent.ctorParameters = function () { return [
        { type: RebirthNGConfig, },
    ]; };
    AccordionComponent.propDecorators = {
        'keepOneItem': [{ type: Input },],
        'closable': [{ type: Input },],
        'close': [{ type: Output },],
    };
    return AccordionComponent;
}(PanelGroup));
export { AccordionComponent };
//# sourceMappingURL=accordion.component.js.map