import { Injectable } from '@angular/core';
import { DocumentRef } from '../window-ref/document-ref.service';
var AssetsLoader = /** @class */ (function () {
    function AssetsLoader(documentRef) {
        this.documentRef = documentRef;
        this.resources = {};
    }
    AssetsLoader.prototype.createScript = function (src) {
        var _this = this;
        if (this.resources[src]) {
            return this.resources[src];
        }
        var promise = new Promise(function (resolve, reject) {
            var script = _this.documentRef.createElement('script');
            script.type = 'text/javascript';
            script.src = src;
            script.async = true;
            script.charset = 'UTF-8';
            script.id = "rebirth_script_" + src;
            script.onreadystatechange = script.onload = function () {
                if ((!script.readyState || /loaded|complete/.test(script.readyState))) {
                    resolve(script);
                }
            };
            script.onerror = function (e) {
                reject(e);
            };
            _this.documentRef.body.appendChild(script);
        });
        this.resources[src] = promise;
        return promise;
    };
    AssetsLoader.prototype.createStyle = function (src) {
        var _this = this;
        if (this.resources[src]) {
            return this.resources[src];
        }
        var promise = new Promise(function (resolve, reject) {
            var link = _this.documentRef.createElement('link');
            link.rel = 'stylesheet';
            link.href = src;
            link.type = 'text/css';
            link.charset = 'UTF-8';
            link.id = "rebirth_link_" + src;
            link.onreadystatechange = link.onload = function () {
                resolve(link);
            };
            link.onerror = function (e) {
                reject(e);
            };
            _this.documentRef.body.appendChild(link);
        });
        this.resources[src] = promise;
        return promise;
    };
    AssetsLoader.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    AssetsLoader.ctorParameters = function () { return [
        { type: DocumentRef, },
    ]; };
    return AssetsLoader;
}());
export { AssetsLoader };
//# sourceMappingURL=assets-loader.service.js.map