import { Component, Input, ViewContainerRef } from '@angular/core';
var TemplateLoaderComponent = /** @class */ (function () {
    function TemplateLoaderComponent(viewContainer) {
        this.viewContainer = viewContainer;
        this.$implicit = {};
    }
    TemplateLoaderComponent.prototype.ngOnInit = function () {
        if (this.template) {
            var context = Object.assign({}, { '$implicit': this.data }, this.data);
            this.view = this.viewContainer.createEmbeddedView(this.template, context);
        }
    };
    TemplateLoaderComponent.prototype.ngOnDestroy = function () {
        if (this.view) {
            this.view.destroy();
        }
    };
    TemplateLoaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-template-loader',
                    template: ""
                },] },
    ];
    /** @nocollapse */
    TemplateLoaderComponent.ctorParameters = function () { return [
        { type: ViewContainerRef, },
    ]; };
    TemplateLoaderComponent.propDecorators = {
        'template': [{ type: Input },],
        'data': [{ type: Input },],
        '$implicit': [{ type: Input },],
    };
    return TemplateLoaderComponent;
}());
export { TemplateLoaderComponent };
//# sourceMappingURL=template-loader.component.js.map