import { Component, Input, Output, EventEmitter } from '@angular/core';
var TreePanelComponent = /** @class */ (function () {
    function TreePanelComponent() {
        this.checkable = false;
        this.lazyLoad = false;
        this.allowDraggable = false;
        this.allowMutipleSelected = false;
        this.nodeItemCheckedChanged = new EventEmitter();
    }
    TreePanelComponent.prototype.onNodeItemCheckedChanged = function (node) {
        this.nodeItemCheckedChanged.emit(node);
    };
    TreePanelComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-tree-panel',
                    template: "\n    <ul class=\"list-unstyled\"><li reTreeNode *ngFor=\"let node of treeData\" [node]=\"node\" [textField]=\"textField\" [valueField]=\"valueField\" [iconField]=\"iconField\" [nodeCssClass]=\"nodeCssClass\" [checkable]=\"checkable\" [lazyLoad]=\"lazyLoad\" [loadingIcon]=\"loadingIcon\" [loadChildren]=\"loadChildren\" [allowDraggable]=\"allowDraggable\" [nodeItemTemplate]=\"nodeItemTemplate\" [nodeItemToolbarTemplate]=\"nodeItemToolbarTemplate\" [leafIcon]=\"leafIcon\" [expendIcon]=\"expendIcon\" [collapseIcon]=\"collapseIcon\" [allowMutipleSelected]=\"allowMutipleSelected\" [parentNode]=\"parentNode\"></li></ul>\n  "
                },] },
    ];
    /** @nocollapse */
    TreePanelComponent.ctorParameters = function () { return []; };
    TreePanelComponent.propDecorators = {
        'treeData': [{ type: Input },],
        'parentNode': [{ type: Input },],
        'valueField': [{ type: Input },],
        'textField': [{ type: Input },],
        'nodeCssClass': [{ type: Input },],
        'iconField': [{ type: Input },],
        'checkable': [{ type: Input },],
        'lazyLoad': [{ type: Input },],
        'loadingIcon': [{ type: Input },],
        'loadChildren': [{ type: Input },],
        'allowDraggable': [{ type: Input },],
        'allowMutipleSelected': [{ type: Input },],
        'nodeItemTemplate': [{ type: Input },],
        'nodeItemToolbarTemplate': [{ type: Input },],
        'leafIcon': [{ type: Input },],
        'expendIcon': [{ type: Input },],
        'collapseIcon': [{ type: Input },],
        'nodeItemCheckedChanged': [{ type: Output },],
    };
    return TreePanelComponent;
}());
export { TreePanelComponent };
//# sourceMappingURL=tree-panel.component.js.map